Application: gvSIG desktop - gvSIG bugs #3493
Al iniciar edicidon no hay ninguna herramienta activa por defecto
05/20/2015 04:17 PM - Francisco Diaz Carsi
Description

Deberia estar la seleccion simple

Associated revisions

Revision 485 - 05/22/2015 10:46 AM - Francisco Diaz Carsi

refs #3493 Activada la herramienta de seleccion simple al entrar en edicion.

Revision 486 - 05/25/2015 10:49 AM - Francisco Diaz Carsi

refs #3493. Deshechos los cambios realizados en la revision 485

Revision 497 - 05/27/2015 10:33 AM - Francisco Diaz Carsi

fixes #3493 Arreglado para que al iniciar edicién se mantenga la herramienta que esta activa hasta que el usuario seleccione una.

History

#1 - 05/22/2015 10:51 AM - Francisco Diaz Carsi
- Target version changed from 2.2.0-2311-rc2 to 2.3.0-2400 (rev. org.gvsig.desktop-2.0.102)

He hecho las modificaciones oportunas para que se active la herramienta de seleccién simple al entrar en edicién, pero persisten un problema que no
es propiamente de edicién.

Si la edicién es activada desde la tabla, en lugar desde la vista, al cambiar el foco a la vista, aunque la herramienta de seleccion esta activa y
podemos seleccionar elementos graficos, en la barra de herramienta no se ve pulsado el botén de la herramienta de seleccién simple (se ve pulsado

el botdn de la herramienta que hubiera activada antes de entrar en edicion)

Dejo la peticion abierta pero la paso al siguiente build para que tengamos en cuenta esto préximamente.

#2 - 05/25/2015 01:16 PM - Francisco Diaz Carsi
Deshago el cambio anterior porque se considera que es peor el remedio que la enfermedad.

#3 - 05/25/2015 02:16 PM - Alvaro Anguix

En mi opinién lo que deberia es mantenerse la Gltima herramienta utilizada antes de darle a comenzar edicion.

#4 - 05/27/2015 10:34 AM - Francisco Diaz Carsi
- % Done changed from 0 to 100
- Status changed from New to Fixed

Applied in changeset gvsig-vector-editing:gvsig-vectorediting|r497.

#5 - 05/27/2015 10:35 AM - Francisco Diaz Carsi

De acuerdo, lo he arreglado para que al entrar en edicién se mantenga la herramienta activa hasta que el usuario seleccione una.

#6 - 05/27/2015 06:14 PM - Francisco Diaz Carsi

- Target version changed from 2.3.0-2400 (rev. org.gvsig.desktop-2.0.102) to 2.2.0-2312

#7 - 05/28/2015 06:22 PM - Alvaro Anguix
- Status changed from Fixed to Closed
